Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Do I have to update?

Discussion in 'Pro/Adv Discussion' started by madeinengland, Jan 12, 2016.

  1. madeinengland

    Joined:
    Apr 8, 2014
    Messages:
    52
    Likes Received:
    4
    Location:
    Marlborough uk
    If I delay updating the P3A and the like,until the flak has died down, will anything happen
    to stop me flying i.e will the go app stop working will the phantom fail to fire up will I receive
    threatening emails or, can I just carry on as I was, flying happily,enjoying life,no crashes and
    just ignore the update warnings on the app screen.
     
  2. Mr.Phantom

    Joined:
    Jan 12, 2016
    Messages:
    13
    Likes Received:
    0
    I would update it,it doesn't take that long, and you can get tutorials on YouTube on how to update the firmware, and I think that if you don't update it won't fly correctly
     
  3. tcope

    Joined:
    Jan 29, 2015
    Messages:
    3,555
    Likes Received:
    1,397
    Location:
    Salt Lake City, UT
    You can fly without updating. Many people are on firmware 2 or 3 versions old. You will get warnings though.
     
  4. RoyVa

    Joined:
    Apr 10, 2015
    Messages:
    2,246
    Likes Received:
    449
    Location:
    Virginia
    Many, many and most have done the updates and are flying with no issues. The reason for updates and to fix bug issues or enhancements. Take a risk you do every day....
     
    Mr.Phantom likes this.
  5. Mr.Phantom

    Joined:
    Jan 12, 2016
    Messages:
    13
    Likes Received:
    0
    I would update the firmware to get the best out of your phantom 3 advanced , and you also need to update the transmitter
     
  6. ianwood

    ianwood Taco Wrangler
    Staff Member

    Joined:
    Jan 7, 2014
    Messages:
    4,932
    Likes Received:
    1,810
    Location:
    Lost Angeles
    Unfortunately, not updating firmware has its own issues especially with respect to v1.5 which manifested a potentially serious battery related issue. That issue may be in earlier versions as well. Best to update to 1.6 on the firmware.

    If you have the 2.4.3 version of the app, you don't need to update it and you shouldn't until the GEO / NFZ issues are addressed.